Identifying CentOS Stream as CentOS_Stream breaks in upgrades

02/07/2022 07:40 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Facts   

Target version: 3.2.0   

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9096,

https://github.com/theforeman/foreman/p

ull/9098

  

Description

In #33470 (and with a fixup in #34302) Foreman started to identify CentOS Stream as CentOS_Stream. However, this is creating

problems in upgrades because the description and title have been taken.

What Foreman 3.1 creates:

 id | major |  name  | minor | nameindicator |         created_at         |         updated_at    

     | release_name |  type  |   description   | password_hash |      title      

----+-------+--------+-------+---------------+----------------------------+-----------------------

-----+--------------+--------+-----------------+---------------+-----------------

  1 | 8     | CentOS |       |               | 2022-02-07 18:05:55.944924 | 2022-02-07 18:05:55.94

4924 |              | Redhat | CentOS Stream 8 | SHA256        | CentOS Stream 8

 And Foreman Nightly:

foreman=# select * from  operatingsystems;

 id | major |     name      | minor | nameindicator |         created_at         |         updated

_at         | release_name |  type  |   description   | password_hash |      title      

----+-------+---------------+-------+---------------+----------------------------+----------------

------------+--------------+--------+-----------------+---------------+-----------------

  1 | 8     | CentOS_Stream |       |               | 2022-02-07 17:30:00.279439 | 2022-02-07 17:3

0:00.279439 |              | Redhat | CentOS Stream 8 | SHA256        | CentOS Stream 8

 CentOS Linux 8 is End of Life and has been removed from the repositories. In order to minimize the risk for users it's safest to keep

the name the same, especially now that Foreman 3.2 is about to branch. That means reverting the name change.

The various fact parser alignments should stay in.

Related issues:

Related to Foreman - Feature #33470: Support CentOS Stream 8 detection based ... Closed

Related to Foreman - Bug #34302: Associate redhat templates with CentOS_Strea... Closed

Associated revisions

Revision 32250058 - 02/10/2022 02:33 PM - Lukas Zapletal

Fixes #34409 - rename existing CentOS OSes to CentOS_Stream

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 02/07/2022 07:41 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #33470: Support CentOS Stream 8 detection based on all facts added

05/16/2024 1/2

https://projects.theforeman.org/issues/33470
https://projects.theforeman.org/issues/34302
mailto:lzap+git@redhat.com


#2 - 02/07/2022 07:41 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #34302: Associate redhat templates with CentOS_Stream OS name added

#3 - 02/07/2022 07:49 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9096 added

#4 - 02/08/2022 02:11 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9098 added

#5 - 02/08/2022 05:12 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Revert identifying CentOS Stream as CentOS_Stream to Identifying CentOS Stream as CentOS_Stream breaks in upgrades

Changing the title to be a problem description rather than a solution.

#6 - 02/10/2022 02:34 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#7 - 02/10/2022 03:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|322500588f3bf3a3f09a307377a0b607fb94f2d8.
